/* You can add global styles to this file, and also import other style files */
$purple: #593FBF;
$dark: #414959;
$light: #F0F0F0;
$paragraph: #525382;
$background: #F6F8FA;
$inactive: transparentize($dark, 0.8);
$white: #FFFFFF;

$shadow: 0px 0px 12px rgba(82, 83, 130, 0.1);;

/*******  FONT  *********/
@font-face {
    font-family: "Roboto Condenced";
    src: url("src/assets/Roboto_Condensed/RobotoCondensed-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: "Roboto Condenced";
    src: url("src/assets/Roboto_Condensed/RobotoCondensed-Light.ttf") format("truetype");
    font-weight: lighter;
    font-style: lighter;
}
@font-face {
    font-family: "Roboto Condenced";
    src: url("src/assets/Roboto_Condensed/RobotoCondensed-Bold.ttf") format("truetype");
    font-weight: bold;
    font-style: bold;
}

@function Dot($color: $inactive, $size: 2px, $space: 30px) {
    @return
        radial-gradient($color 0px, $color $size, transparent $size+1px) $space/2 $space/2 repeat / $space $space,
        radial-gradient($color 0px, $color $size, transparent $size+1px) 0 0 repeat / $space $space
}

@mixin Dot($color: $inactive, $size: 2px, $space: 30px, $shorthand: true) {
    @if $shorthand {
        background:
            radial-gradient($color 0px, $color $size, transparent $size+1px) $space $space repeat / $space $space,
            radial-gradient($color 0px, $color $size, transparent $size+1px) 0 0 repeat / $space $space;
    } @else {
        background-image:
            radial-gradient($color 0px, $color $size, transparent $size+1px),
            radial-gradient($color 0px, $color $size, transparent $size+1px);
        background-position: $space $space, 0 0;
        background-repeat: repeat, repeat;
        background-size: $space $space, $space $space;
    }
}

html, body { height: 100%; overflow: hidden;position: relative}
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; background-color: $background; }
h3 { font-size: 32px; color: #333333; margin: 24px auto;}
h1, h2, h3, h4, h5, h6 {font-family: 'Roboto Condenced';font-weight: bold;}
.btn-filled, .btn-text {
    &.little {
        height: 24px;
    }
}
.btn-filled, .btn-outlined, .btn-text {
    &.big {
        height: 52px;
        line-height: 52px;
        padding: 0 48px;
        font-size: 16px;
        text-transform: uppercase;
        font-family: Roboto;
    }
    &.little {
        height: 32px;
        line-height: 32px;
        padding: 0 8px;
        font-size: 14px;
    }
    mat-icon {
        top: 6px;
        position: relative;
        margin-right: 8px;
    }
}
.btn-filled {
    height: 40px;
    padding: 0 16px;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    border-radius: 2px;
    border: 0px solid black;
    color: $white;
    &.success {
        background-color: $purple;
    }
    &.error {
        background-color: #F06F61;
    }
}
.btn-outlined {
    height: 40px;
    padding: 0 16px;
    font-size: 16px;
    text-align: center;
    border-radius: 2px;
    font-weight: bold;
    background-color: transparent;
    &.success {
        color: $purple;
        border: 1px solid $purple;
    }
    &.error {
        color: #F06F61;
        border: 1px solid #F06F61;
    }
}
.btn-text {
    height: 40px;
    padding: 0 16px;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    border: 0px solid black;
    background-color: transparent;
    &.success {
        color: $purple;;
    }
    &.error {
        color: #F06F61;;
    }
    &.dark {
        color: $dark;;
    }
}


.shadow {
    filter: drop-shadow(0px 0px 12px rgba(82, 83, 130, 0.1));
}
.text {
    font-size: 14px;
    color: $dark;
    font-family: Roboto, arial;
}
.border {
    border: 1px solid $light;
}

